// Header file for synchronization and exchange library for MB7707

#ifndef __MB7707_LOAD__H__
#define __MB7707_LOAD__H__

#include <stdlib.h>

extern "C"
{
	// Return processor number on board
	int ncl_getProcessorNo(void);

	// Barrier sync with host PC
	int ncl_hostSync(int value);

	// Barrier sync with host PC with array exchange
	int ncl_hostSyncArray(
		int value,        // Sync value
		void *outAddress, // Sended array address (can be NULL)
		size_t outLen,    // Sended array length (can be 0)
		void **inAddress, // Received array address pointer (can be NULL)
		size_t *inLen);   // Received array size pointer (can be NULL)
};

#endif // __MB7707_LOAD__H__
